Subject: Re: bug#24635: 24.5; Missing preview of entered unicode codepoints (C-q codepoint SPC)

From: Stefan Monnier <[email-masked]>
Date: Mon, 21 Nov 2016 11:26:43 -0500

> Stefan, do you see a way to make read-key or the functions it calls
> echo the input characters?  I didn't see a way to do that, but maybe I
> missed something.

Hmm... it would be good to find such a way, indeed, since the issue is
likely to show at other places where we'd want to use read-key.

> Failing that, I'm inclined to go back to using read-event in
> read-quoted-char.  After all, we didn't have any bug reports due to
> that, and the echo is a valuable feature, IMO.

Indeed, the scenarios where read-key is preferable to read-event in the
context of read-quoted-char are fairly hypothetical.

So, we should probably revert that for now, but adding a comment about
why we don't use read-key.

        Stefan